package com.example;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TableColumn;
import javafx.scene.control.TableView;
import javafx.scene.control.cell.PropertyValueFactory;

import java.io.IOException;

public class CartController {

    @FXML
    private Button cartBtn;

    @FXML
    private Button loginBtn;

    @FXML
    private Button btnCheckOut;

    @FXML
    private TableView<Item> cartContent;

    @FXML
    private TableColumn<Item, String> nameColumn;

    @FXML
    private TableColumn<Item, String> descriptionColumn;

    @FXML
    private TableColumn<Item, Integer> quantityColumn;

    @FXML
    private TableColumn<Item, Double> priceColumn;

    @FXML
    private Label cartTitle;

    @FXML
    private Label mainTitle;

    // Initialize method to set up the TableView
    @FXML
    public void initialize() {
        nameColumn.setCellValueFactory(new PropertyValueFactory<>("name"));
        descriptionColumn.setCellValueFactory(new PropertyValueFactory<>("description"));
        quantityColumn.setCellValueFactory(new PropertyValueFactory<>("quantity"));
        priceColumn.setCellValueFactory(new PropertyValueFactory<>("price"));

        // Populate the table with some sample data (replace with actual logic later)
        cartContent.getItems().addAll(
                new Item("Book A", "A fascinating fantasy novel.", 1, 12.99),
                new Item("Book B", "A thrilling sequel.", 2, 10.50));
    }

    @FXML
    private void handleCartButton(ActionEvent event) {
        System.out.println("Cart button clicked!");
        try {
            // Navigate to the cart page (using the setRoot method from App)
            App.setRoot("cart");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @FXML
    private void handleLoginButton(ActionEvent event) {
        System.out.println("Login button clicked!");
        try {
            // Navigate to the login page
            App.setRoot("login");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @FXML
    private void handleCheckOutButton(ActionEvent event) {
        System.out.println("Checkout button clicked!");
        // Add logic to proceed to checkout
        try {
            // Navigate to the checkout page
            App.setRoot("checkout");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
